import logging
import json
import requests
import sys

logging.basicConfig(stream=sys.stdout, level=logging.INFO)
log = logging.getLogger(__name__)


def send_to_server(url, payload, headers):
    log.info('URL     to send:' + str(url))
    log.info('Headers to send:' + str(headers))
    log.info('Payload to send:' + str(payload))
    r = requests.post(
        url,
        data=json.dumps(payload),
        headers=headers,
    )
    log.info('Request Statuscode: ' + str(r.status_code))
    log.info('Request Statustext: ' + str(r.text))
    log.info('Request result: ' + str(r.json()))
